# Bio.SCOP.Des module

Handle the SCOP DEScription file.

The file format is described in the scop “release notes.”:http://scop.berkeley.edu/release-notes-1.55.html The latest DES file can be found “elsewhere at SCOP.”:http://scop.mrc-lmb.cam.ac.uk/scop/parse/

“Release 1.55”:http://scop.berkeley.edu/parse/des.cla.scop.txt_1.55 (July 2001)

class Bio.SCOP.Des.Record(line=None)

  Bases: `object`

  Holds information for one node in the SCOP hierarchy.

  Attributes:

    - sunid - SCOP unique identifiers

    - nodetype - One of ‘cl’ (class), ‘cf’ (fold), ‘sf’ (superfamily), ‘fa’ (family), ‘dm’ (protein), ‘sp’ (species), ‘px’ (domain). Additional node types may be added.

    - sccs - SCOP concise classification strings. e.g. b.1.2.1

    - name - The SCOP ID (sid) for domains (e.g. d1anu1), currently empty for other node types

    - description - e.g. “All beta proteins”,”Fibronectin type III”,

  __init__(line=None)

    Initialize the class.

  __str__()

    Represent the SCOP description record as a tab-separated string.

  __annotate_func__ = None
  __annotations_cache__ = {}
  __firstlineno__ = 17
  __static_attributes__ = ('description', 'name', 'nodetype', 'sccs', 'sunid')

Bio.SCOP.Des.parse(handle)

  Iterate over a DES file as a Des record for each line.

  Arguments:

    - handle - file-like object

Biopython v: 1.86

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub